> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# listTasks

> Get all tasks for a specific project



## OpenAPI

````yaml GET /task/tasks/{projectId}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /task/tasks/{projectId}:
    get:
      tags:
        - Tasks
      summary: List Tasks
      description: Get all tasks for a specific project
      operationId: listTasks
      parameters:
        - in: path
          name: projectId
          schema:
            type: string
          required: true
        - in: query
          name: status
          schema:
            type: string
        - in: query
          name: priority
          schema:
            type: string
        - in: query
          name: assigneeId
          schema:
            type: string
        - in: query
          name: page
          schema:
            type: string
        - in: query
          name: limit
          schema:
            type: string
        - in: query
          name: sortBy
          schema:
            enum:
              - createdAt
              - priority
              - dueDate
              - position
              - title
              - number
            type: string
        - in: query
          name: sortOrder
          schema:
            enum:
              - asc
              - desc
            type: string
        - in: query
          name: dueBefore
          schema:
            type: string
        - in: query
          name: dueAfter
          schema:
            type: string
      responses:
        '200':
          description: Project with tasks organized by columns
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````